# -*- coding: utf-8 -*-

from django.contrib import admin
from marker.models import Tag, TypeAttribute, Type, Marker

class TagAdmin(admin.ModelAdmin):
    search_fields = ('tag',)

class TypeAttributeAdmin(admin.ModelAdmin):
    search_fields = ('attribute',)
    
class TypeAdmin(admin.ModelAdmin):
    search_fields = ('name',)

class MarkerAdmin(admin.ModelAdmin):
    search_fields = ('title',)

admin.site.register(Tag, TagAdmin)
admin.site.register(TypeAttribute, TypeAttributeAdmin)
admin.site.register(Type, TypeAdmin)
admin.site.register(Marker, MarkerAdmin)
