import simplejson

from django.db.models.manager import QuerySet

class MarkerEncoder(simplejson.JSONEncoder):
    def default(self, obj):
        if isinstance(obj, QuerySet):
            return [marker.json_dict() for marker in obj]
        return super(MarkerEncoder, self).default(obj)
